import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

class DownloadsPath {
  /// Invoke method channel to get the downloads directory absolute path in Android and iOS device
  static const MethodChannel _channel = MethodChannel('downloads_path');

  /// Static property to simply call and get the directory created from the returned path of native code
  /// ``` Directory? downloadsDirectory = await DownloadsPath.downloadsDirectory; ```
  /// ``` String? downloadsDirectoryPath = (await DownloadsPath.downloadsDirectory)?.path; ```
  static Future<Directory?> get downloadsDirectory async {
    final String? path = await _channel.invokeMethod('getDownloadsDirectory');

    return path == null ? null : Directory(path);
  }
}
